
Foreman Remote Execution - Feature #20689

Remote execution interface not accessible by API

08/22/2017 06:49 AM - Adam Ruzicka

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases: foreman_remote_execution 4.1.0,

hammer_cli_foreman_remote_execution

0.2.0

Triaged: No Found in Releases:  

Bugzilla link: 1424999 Red Hat JIRA:  

Pull request: https://github.com/theforeman/hammer_c

li_foreman_remote_execution/pull/35,

https://github.com/theforeman/foreman_r

emote_execution/pull/529

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1424999

Description of problem:

The webinterface of Satellite 6.2 allows the specification of the interface used for remote exection: 

https://satellite.example.com/hosts/$HOSTNAME/edit#network

(Hosts / All Hosts / choose a host / Edit / Interfaces / choose an Interface / Edit)

API and Hammer lacks this feature.

Version-Release number of selected component (if applicable):

Satellite 6.2.7

How reproducible:

Always

Steps to Reproduce:

1. curl -X GET -s -k -u admin:redhat https://sat6.localdomain/api/hosts/1/interfaces | python -mjson.tool

Actual results:

{

"page": 1,

"per_page": 20,

"results": [         {

"created_at": "2016-08-19 16:06:11 UTC",

"domain_id": 1,

"domain_name": "localdomain",

"id": 1,

"identifier": "eth0",

"ip": "172.29.0.20",

"mac": "52:54:00:62:12:1c",

"managed": true,

"name": "sat62.localdomain",

"primary": true,

"provision": true,

"subnet_id": null,

"subnet_name": null,
"type": "interface",

"updated_at": "2017-02-20 10:00:11 UTC",

"virtual": false

}

],

"search": null,

"sort": {

"by": null,

"order": null

},

"subtotal": 1,

"total": 1

}

Expected results:

{

"page": 1,

"per_page": 20,

"results": [         {

"created_at": "2016-08-19 16:06:11 UTC",

"domain_id": 1,

"domain_name": "localdomain",

"id": 1,

"identifier": "eth0",

"ip": "172.29.0.20",

"mac": "52:54:00:62:12:1c",

"managed": true,

"name": "sat62.localdomain",

"primary": true,

"provision": true,

"remote_execution": true,

"subnet_id": null,

"subnet_name": null,

"type": "interface",

"updated_at": "2017-02-20 10:00:11 UTC",

"virtual": false

}

],

"search": null,

"sort": {

"by": null,

"order": null

},

"subtotal": 1,

"total": 1

}

Additional info:

The lack of hammer / API access to the remote execution interface blocks any automation / bulk update in the correction of wrongly

assigned interfaces.

Related issues:

Has duplicate Foreman Remote Execution - Bug #20713: REST API /api/hosts/:id/... Duplicate 08/23/2017

Has duplicate Foreman Remote Execution - Bug #31002: Execution parameter not ... Closed

Blocks Foreman Remote Execution - Feature #20688: Remote execution interface ... New 08/22/2017

Blocked by Foreman - Feature #3763: Ability for engine/plugin to extend RABL ... Closed 11/26/2013

Associated revisions

Revision 76fc9129 - 08/25/2020 01:43 PM - Maria Agaphontzev

Fixes #20689 - make REX interface accessible by API

Revision ef399679 - 09/10/2020 01:52 PM - Maria 

Refs #20689 - add execution flag to interface (#35)

05/21/2024 2/3



History

#1 - 08/22/2017 06:52 AM - Adam Ruzicka

- Related to Feature #20688: Remote execution interface not accessible by hammer added

#2 - 08/22/2017 06:52 AM - Adam Ruzicka

- Related to deleted (Feature #20688: Remote execution interface not accessible by hammer)

#3 - 08/22/2017 06:52 AM - Adam Ruzicka

- Blocks Feature #20688: Remote execution interface not accessible by hammer added

#4 - 09/14/2017 03:07 PM - Ivan Necas

- Has duplicate Bug #20713: REST API /api/hosts/:id/interfaces doesn't show REX attribute added

#5 - 09/14/2017 03:08 PM - Ivan Necas

- Blocked by Feature #3763: Ability for engine/plugin to extend RABL responses added

#6 - 08/25/2020 01:43 PM - The Foreman Bot

- Fixed in Releases  added

#7 - 08/25/2020 02:01 PM - Maria Agaphontzev

- Status changed from New to Closed

Applied in changeset foreman_plugin|76fc912960efb402c0642913c9cc0678eee15912.

#8 - 09/01/2020 08:24 AM - Adam Ruzicka

- Fixed in Releases foreman_remote_execution 4.1.0 added

- Fixed in Releases deleted ()

#9 - 10/07/2020 08:14 AM - Adam Ruzicka

- Pull request https://github.com/theforeman/foreman_remote_execution/pull/529 added

#10 - 10/07/2020 08:16 AM - Adam Ruzicka

- Has duplicate Bug #31002: Execution parameter not documented added

#11 - 11/09/2020 12:08 PM - Adam Ruzicka

- Pull request https://github.com/theforeman/hammer_cli_foreman_remote_execution/pull/35 added

- Fixed in Releases hammer_cli_foreman_remote_execution 0.2.0 added
